HawkParameters (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.crypto.hawk

## Class HawkParameters

- java.lang.Object
- - org.bouncycastle.pqc.crypto.hawk.HawkParameters

-     public class HawkParameters
      extends java.lang.Object

  Parameter set for the Hawk PQC signature scheme. The three NIST submission variants are exposed as the `Hawk_256`, `Hawk_512` and `Hawk_1024` constants.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static HawkParameters` | `Hawk_1024`
    `static HawkParameters` | `Hawk_256`
    `static HawkParameters` | `Hawk_512`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HawkParameters(java.lang.String name, int q, int logn, int maxLogn, long q0I, short[] maxBlSmall, short[] maxBlLarge, short[] wordWin, int reduceBits, byte[] coeffFgLimit, short[] minSaveFg)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getName()`
    `int` | `getPrivateKeySize()`
    `int` | `getPublicKeySize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### Hawk_256

          public static final HawkParameters Hawk_256

    - #### Hawk_512

          public static final HawkParameters Hawk_512

    - #### Hawk_1024

          public static final HawkParameters Hawk_1024

  - ### Constructor Detail

    - #### HawkParameters

          public HawkParameters(java.lang.String name,
                                int q,
                                int logn,
                                int maxLogn,
                                long q0I,
                                short[] maxBlSmall,
                                short[] maxBlLarge,
                                short[] wordWin,
                                int reduceBits,
                                byte[] coeffFgLimit,
                                short[] minSaveFg)

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### getPrivateKeySize

          public int getPrivateKeySize()

    - #### getPublicKeySize

          public int getPublicKeySize()